/*
 *  Copyright (C) 2007 Daniel Bessler  <danielb@settings-dock.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Daniel Bessler <danielb@settings-dock.org>
 */

#ifndef __KIBA_SETTINGS_DBUS_
#define __KIBA_SETTINGS_DBUS_

#include <gtk/gtk.h>

#include "kiba-settings.h"

G_BEGIN_DECLS

void kiba_settings_dbus_init (KibaSettings *settings);

void kiba_settings_dbus_set_int (const gchar *configPath,
                                 const gchar *option_id,
				 gint         value);

void kiba_settings_dbus_set_bool (const gchar *configPath,
                                  const gchar *option_id,
                                  gboolean     value);

void kiba_settings_dbus_set_float (const gchar *configPath,
                                 const gchar *option_id,
				    gfloat      value);

void kiba_settings_dbus_set_char (const gchar *configPath,
                                 const gchar *option_id,
				  const gchar *value);

void kiba_settings_dbus_set_list (const gchar *configPath,
                                 const gchar *option_id,
				  const gchar *value);

void kiba_settings_dbus_add_dock (const gchar *configPath);

void kiba_settings_dbus_remove_dock (const gchar *configPath);

G_END_DECLS

#endif
