/*
 *  Copyright (C) 2007 Daniel Bessler <danielb@kiba-dock.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Daniel Bessler <danielb@kiba-dock.org>
*/

/**
 * KibaTitle displays text above KibaObject's.
 **/

#ifndef __KIBA_PRIVATE_H__
#define __KIBA_PRIVATE_H__

#include <kiba.h>
#include <kiba-win.h>
#include <kiba-prefs.h>
#include <kiba-object.h>
#include <kiba-title.h>


G_BEGIN_DECLS

gboolean kiba_add_dock_plugin (Kiba *kiba,
                               KibaWin *win,
                               const gchar *pluginPath);

gboolean kiba_add_general_plugin (const char *pluginPath);

KibaPlugin* kiba_get_plugin_for_id (Kiba *kiba,
                                    KibaPrefsFile *file,
                                    const gchar *id);

void kiba_object_set_destroy_factor(KibaObject *object,
		gfloat factor);

void kiba_icon_factory_destroy();

gboolean kiba_win_quit (GtkWidget *widget);

void kiba_title_destroy (KibaTitle *title);

void kiba_dock_set_shape (KibaDock      *dock,
			  KibaDockShape  shape);

void kiba_dock_set_max_size (KibaDock *dock,
			     gint      max_size);

void kiba_dock_set_layout (KibaDock       *dock,
			   KibaDockLayout  d);

void kiba_dock_set_style (KibaDock       *dock,
			  KibaDockStyle   style);

void kiba_dock_set_flag (KibaDock *dock,
			 gint      flag);

void kiba_dock_unset_flag (KibaDock *dock,
			   gint      flag);

void kiba_dock_set_alpha (KibaDock *dock,
			 gfloat    alpha);

void kiba_dock_set_object_size (KibaDock *dock,
				gint      size);

void
kiba_dock_set_object_list (KibaDock *dock,
		const GSList *object_list);

void
kiba_object_allocation_set(KibaObject *object);

GList*
kiba_dock_get_object_list (KibaDock *dock, gboolean active_only);

cairo_pattern_t* kiba_dock_get_pattern (KibaDock *dock);

gboolean
kiba_object_do_update_scale_factor (KibaObject *object);

gboolean
kiba_object_do_update_offset (KibaObject *object);

gboolean
kiba_drawable_object_do_update_alpha (KibaDrawableObject *object);

void
kiba_drawable_object_do_update_area (KibaDrawableObject *object);

void
kiba_visual_feature_do_resize_all(KibaVisualFeature *feature);

G_END_DECLS

#endif
